VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto Class Reference

`Snmp.SNMPAuthProto` enumerated type Defines SNMP authentication protocols More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, none, SHA1, MD5 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SNMPAuthProto[] | GetValues ()
static SNMPAuthProto | ValueOf (string name)
## Static Public Attributes
static readonly SNMPAuthProto | none = new SNMPAuthProto("none", Values.none)
| NONE.
static readonly SNMPAuthProto | SHA1 = new SNMPAuthProto("SHA1", Values.SHA1)
| SHA1.
static readonly SNMPAuthProto | MD5 = new SNMPAuthProto("MD5", Values.MD5)
| MD5.

## Detailed Description

`Snmp.SNMPAuthProto` enumerated type Defines SNMP authentication protocols

## Member Enumeration Documentation

enum vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  none | NONE.
  SHA1 | SHA1.
  MD5 | MD5.

## Member Function Documentation

Values vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::GetEnumValue | ( |  | ) | `[inline]`

static SNMPAuthProto [] vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::IsUnknown | ( |  | ) | `[inline]`

static SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::MD5 = new SNMPAuthProto("MD5", Values.MD5)`[static]`

MD5.

readonly SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::none = new SNMPAuthProto("none", Values.none)`[static]`

NONE.

readonly SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPAuthProto::SHA1 = new SNMPAuthProto("SHA1", Values.SHA1)`[static]`

SHA1.

The documentation for this class was generated from the following file:

- SnmpTypes.cs